using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;

namespace TEAMModelOS.Service.Models.Syllabus
{
    public class KnowledgePoint
    {  
        public string id { get; set; }

        /// <summary>
        /// 名称
        /// </summary>
        [Required(ErrorMessage = "{0} 必须填写")]
        public string name { get; set; }
        /// <summary>
        /// 描述
        /// </summary>
        [Required(ErrorMessage = "{0} 必须填写")]
        public string alias { get; set; }
        /// <summary>
        /// 学科
        /// </summary>
        [Required(ErrorMessage = "{0} 必须填写")]
        public string subjectCode { get; set; }
        /// <summary>
        /// 学校编码
        /// </summary>
        [Required(ErrorMessage = "{0} 必须填写")]
        public string schoolCode { get; set; }
        [Required(ErrorMessage = "{0} 必须填写")]
        public int order { get; set; }
        /// <summary>
        /// 删除状态0 删除 1 有效
        /// </summary>
        [Required(ErrorMessage = "{0} 必须填写")]
        public int status { get; set; } = 1;
    }
}
